| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::GlyphInfo Class Reference

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::GlyphInfo:

## Public Member Functions
| GlyphInfo (ImpellerGlyphInfo info, AdoptTag tag)
size_t | GetGraphemeClusterCodeUnitRangeBegin () const
size_t | GetGraphemeClusterCodeUnitRangeEnd () const
ImpellerRect | GetGraphemeClusterBounds () const
bool | IsEllipsis () const
ImpellerTextDirection | GetTextDirection () const
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerGlyphInfo, ImpellerGlyphInfoTraits >
| Object ()=default
| Object (ImpellerGlyphInfo object)
| Object (ImpellerGlyphInfo object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerGlyphInfo | Get () const
| operator bool () const

## Detailed Description

See also
  ImpellerGlyphInfo

Definition at line 748 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ GlyphInfo()

IMPELLER_HPP_NAMESPACE::GlyphInfo::GlyphInfo | ( | ImpellerGlyphInfo | info,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 750 of file impeller.hpp.

750 : Object(info, tag) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerGlyphInfo, ImpellerGlyphInfoTraits >::Object
Object()=default

## Member Function Documentation

## ◆ GetGraphemeClusterBounds()

ImpellerRect IMPELLER_HPP_NAMESPACE::GlyphInfo::GetGraphemeClusterBounds | ( |  | ) | const
| inline

See also
  ImpellerGlyphInfoGetGraphemeClusterBounds

Definition at line 771 of file impeller.hpp.

771 {
772 ImpellerRect rect = {};
773 gGlobalProcTable.ImpellerGlyphInfoGetGraphemeClusterBounds(Get(), &rect);
774 return rect;
775 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerGlyphInfo, ImpellerGlyphInfoTraits >::Get
ImpellerGlyphInfo Get() const
Definition: impeller.hpp:278
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25
ImpellerRect
Definition: impeller.h:502

References IMPELLER_HPP_NAMESPACE::Object< ImpellerGlyphInfo, ImpellerGlyphInfoTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetGraphemeClusterCodeUnitRangeBegin()

size_t IMPELLER_HPP_NAMESPACE::GlyphInfo::GetGraphemeClusterCodeUnitRangeBegin | ( |  | ) | const
| inline

See also
  ImpellerGlyphInfoGetGraphemeClusterCodeUnitRangeBegin

Definition at line 755 of file impeller.hpp.

755 {
756 return gGlobalProcTable
757 .ImpellerGlyphInfoGetGraphemeClusterCodeUnitRangeBegin(Get());
758 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerGlyphInfo, ImpellerGlyphInfoTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetGraphemeClusterCodeUnitRangeEnd()

size_t IMPELLER_HPP_NAMESPACE::GlyphInfo::GetGraphemeClusterCodeUnitRangeEnd | ( |  | ) | const
| inline

See also
  ImpellerGlyphInfoGetGraphemeClusterCodeUnitRangeEnd

Definition at line 763 of file impeller.hpp.

763 {
764 return gGlobalProcTable.ImpellerGlyphInfoGetGraphemeClusterCodeUnitRangeEnd(
765 Get());
766 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerGlyphInfo, ImpellerGlyphInfoTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetTextDirection()

ImpellerTextDirection IMPELLER_HPP_NAMESPACE::GlyphInfo::GetTextDirection | ( |  | ) | const
| inline

See also
  ImpellerGlyphInfoGetTextDirection

Definition at line 787 of file impeller.hpp.

787 {
788 return gGlobalProcTable.ImpellerGlyphInfoGetTextDirection(Get());
789 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerGlyphInfo, ImpellerGlyphInfoTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ IsEllipsis()

bool IMPELLER_HPP_NAMESPACE::GlyphInfo::IsEllipsis | ( |  | ) | const
| inline

See also
  ImpellerGlyphInfoIsEllipsis

Definition at line 780 of file impeller.hpp.

780 {
781 return gGlobalProcTable.ImpellerGlyphInfoIsEllipsis(Get());
782 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerGlyphInfo, ImpellerGlyphInfoTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp